Subject: bug#14616: 24.3.50; Excessive cursor movement on non-X Emacs

From: lee <[email-masked]>
Date: Thu, 27 Jun 2013 13:16:46 +0200

lee <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>>> + start emacs (just normally)
>>> + M-x gnus RET
>>> + enter a group that has messages all marked as O
>>> + press enter with the cursor on the first message in the summary buffer
>>> + that message is displayed and the cursor in the summary buffer moves
>>>   down by two messages, i. e.:
>>> 
>>> 
>>>     O Message 1 <--Cursor
>>>     O Message 2
>>>     O Message 3
>>>     O Message 4
>>>     [...]
>>> 
>>> 
>>>   becomes
>>> 
>>> 
>>>     O Message 1
>>>     O Message 2
>>>     O Message 3 <-- Cursor
>>>     O Message 4
>>>     [...]
>>> 
>>> 
>>> I would expect the cursor to remain on Message 1.  Now when I 'C-x b
>>> some-other-buffer' to switch to another buffer from the summary display
>>> --- or run 'emacsclient some-file' --- and then 'C-x o' to the message
>>> buffer and then press 't' to display the message headers, Message 3 is
>>> suddenly displayed instead of Message 1 (without showing the headers).
>>
>> Sounds like an entirely different problem from the one reported by
>> Lars in this bug report.  Why did you think they are the same?
>
> Uh, I don't think they are the same.

Oh, I think now I know what happened: I made --- or wanted to make --- a
bug report about the behaviour I described above, and that report had
"cursor" in the subject.  Apparently, at about the same time, Lars made
another bug report.

Then when I looked here for the bug report I made (searching for
"cursor"), I found Lars' report and thought it was the one I wanted to
make because it also has "cursor" in the subject.  I'm sorry for the
confusion!

The report I wanted to make apparently never was sent.  Should I make a
new report?  Can anyone reproduce the behaviour I've described?

-- 
"Object-oriented programming languages aren't completely convinced that
you should be allowed to do anything with functions."
http://www.joelonsoftware.com/items/2006/08/01.html